import { ElementRef, NgZone } from '@angular/core';
import { AppBarNotificationButtonComponent as AppBarNotificationButtonComponentCustomElement } from '@tylertech/forge';
import * as i0 from "@angular/core";
/**  */
export declare class AppBarNotificationButtonComponent {
    protected elementRef: ElementRef<AppBarNotificationButtonComponentCustomElement>;
    protected zone: NgZone;
    /** The forge-app-bar-notification-button element. */
    readonly nativeElement: AppBarNotificationButtonComponentCustomElement;
    /** The number to display in the badge. */
    set count(value: AppBarNotificationButtonComponentCustomElement['count']);
    get count(): AppBarNotificationButtonComponentCustomElement['count'];
    /** Whether to display the dot variant of the badge or not. */
    set dot(value: AppBarNotificationButtonComponentCustomElement['dot']);
    get dot(): AppBarNotificationButtonComponentCustomElement['dot'];
    /** The theme to apply to the badge. */
    set theme(value: AppBarNotificationButtonComponentCustomElement['theme']);
    get theme(): AppBarNotificationButtonComponentCustomElement['theme'];
    /** The name of an alternative icon to display. */
    set icon(value: AppBarNotificationButtonComponentCustomElement['icon']);
    get icon(): AppBarNotificationButtonComponentCustomElement['icon'];
    /** Whether to display the badge or not. */
    set showBadge(value: AppBarNotificationButtonComponentCustomElement['showBadge']);
    get showBadge(): AppBarNotificationButtonComponentCustomElement['showBadge'];
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<AppBarNotificationButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AppBarNotificationButtonComponent, "forge-app-bar-notification-button", never, { "count": { "alias": "count"; "required": false; }; "dot": { "alias": "dot"; "required": false; }; "theme": { "alias": "theme"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "showBadge": { "alias": "showBadge"; "required": false; }; }, {}, never, ["*"], false, never>;
    static ngAcceptInputType_dot: unknown;
    static ngAcceptInputType_showBadge: unknown;
}
