import { ElementRef, NgZone } from '@angular/core';
import { AppBarSearchComponent as AppBarSearchComponentCustomElement } from '@tylertech/forge';
import * as i0 from "@angular/core";
/**  */
export declare class AppBarSearchComponent {
    protected elementRef: ElementRef<AppBarSearchComponentCustomElement>;
    protected zone: NgZone;
    /** The forge-app-bar-search element. */
    readonly nativeElement: AppBarSearchComponentCustomElement;
    /** The value of the input. */
    set value(value: AppBarSearchComponentCustomElement['value']);
    get value(): AppBarSearchComponentCustomElement['value'];
    /** A boolean property that, if true, indicates that the input should be disabled. */
    set disabled(value: AppBarSearchComponentCustomElement['disabled']);
    get disabled(): AppBarSearchComponentCustomElement['disabled'];
    /** The placeholder text of the input. */
    set placeholder(value: AppBarSearchComponentCustomElement['placeholder']);
    get placeholder(): AppBarSearchComponentCustomElement['placeholder'];
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<AppBarSearchComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AppBarSearchComponent, "forge-app-bar-search", never, { "value": { "alias": "value"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; }, {}, never, ["*"], false, never>;
    static ngAcceptInputType_disabled: unknown;
}
