import { ElementRef, NgZone } from '@angular/core';
import { BottomSheetComponent as BottomSheetComponentCustomElement } from '@tylertech/forge';
import * as i0 from "@angular/core";
/**  */
export declare class BottomSheetComponent {
    protected elementRef: ElementRef<BottomSheetComponentCustomElement>;
    protected zone: NgZone;
    /** The forge-bottom-sheet element. */
    readonly nativeElement: BottomSheetComponentCustomElement;
    /** Whether the bottom sheet is open. */
    set open(value: BottomSheetComponentCustomElement['open']);
    get open(): BottomSheetComponentCustomElement['open'];
    /** The mode of the bottom sheet. */
    set mode(value: BottomSheetComponentCustomElement['mode']);
    get mode(): BottomSheetComponentCustomElement['mode'];
    /** Whether the bottom sheet is persistent. */
    set persistent(value: BottomSheetComponentCustomElement['persistent']);
    get persistent(): BottomSheetComponentCustomElement['persistent'];
    /** Whether the bottom sheet is fullscreen. */
    set fullscreen(value: BottomSheetComponentCustomElement['fullscreen']);
    get fullscreen(): BottomSheetComponentCustomElement['fullscreen'];
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<BottomSheetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BottomSheetComponent, "forge-bottom-sheet", never, { "open": { "alias": "open"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "persistent": { "alias": "persistent"; "required": false; }; "fullscreen": { "alias": "fullscreen"; "required": false; }; }, {}, never, ["*"], false, never>;
    static ngAcceptInputType_open: unknown;
    static ngAcceptInputType_persistent: unknown;
    static ngAcceptInputType_fullscreen: unknown;
}
