import { ElementRef, NgZone } from '@angular/core';
import { DrawerComponent as DrawerComponentCustomElement } from '@tylertech/forge';
import * as i0 from "@angular/core";
/**  */
export declare class DrawerComponent {
    protected elementRef: ElementRef<DrawerComponentCustomElement>;
    protected zone: NgZone;
    /** The forge-drawer element. */
    readonly nativeElement: DrawerComponentCustomElement;
    /** Toggles whether the drawer is visible or not. */
    set open(value: DrawerComponentCustomElement['open']);
    get open(): DrawerComponentCustomElement['open'];
    /** Controls the layout and animation direction of the drawer for positioning on the left vs. right side of the screen when toggling the `open` attribute. */
    set direction(value: DrawerComponentCustomElement['direction']);
    get direction(): DrawerComponentCustomElement['direction'];
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<DrawerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DrawerComponent, "forge-drawer", never, { "open": { "alias": "open"; "required": false; }; "direction": { "alias": "direction"; "required": false; }; }, {}, never, ["*"], false, never>;
    static ngAcceptInputType_open: unknown;
}
