import { ElementRef, NgZone } from '@angular/core';
import { MeterGroupComponent as MeterGroupComponentCustomElement } from '@tylertech/forge';
import * as i0 from "@angular/core";
/**  */
export declare class MeterGroupComponent {
    protected elementRef: ElementRef<MeterGroupComponentCustomElement>;
    protected zone: NgZone;
    /** The forge-meter-group element. */
    readonly nativeElement: MeterGroupComponentCustomElement;
    /** The minimum value of each meter in the group. */
    set min(value: MeterGroupComponentCustomElement['min']);
    get min(): MeterGroupComponentCustomElement['min'];
    /** The maximum value of each meter in the group. */
    set max(value: MeterGroupComponentCustomElement['max']);
    get max(): MeterGroupComponentCustomElement['max'];
    /** Whether to display tickmarks. */
    set tickmarks(value: MeterGroupComponentCustomElement['tickmarks']);
    get tickmarks(): MeterGroupComponentCustomElement['tickmarks'];
    /** Whether the meter is oriented horizontally or vertically. */
    set direction(value: MeterGroupComponentCustomElement['direction']);
    get direction(): MeterGroupComponentCustomElement['direction'];
    /** The density of the meter group. */
    set density(value: MeterGroupComponentCustomElement['density']);
    get density(): MeterGroupComponentCustomElement['density'];
    /** The shape of the meter group. */
    set shape(value: MeterGroupComponentCustomElement['shape']);
    get shape(): MeterGroupComponentCustomElement['shape'];
    /** The shape of each meter in the group. */
    set innerShape(value: MeterGroupComponentCustomElement['innerShape']);
    get innerShape(): MeterGroupComponentCustomElement['innerShape'];
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<MeterGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MeterGroupComponent, "forge-meter-group", never, { "min": { "alias": "min"; "required": false; }; "max": { "alias": "max"; "required": false; }; "tickmarks": { "alias": "tickmarks"; "required": false; }; "direction": { "alias": "direction"; "required": false; }; "density": { "alias": "density"; "required": false; }; "shape": { "alias": "shape"; "required": false; }; "innerShape": { "alias": "innerShape"; "required": false; }; }, {}, never, ["*"], false, never>;
    static ngAcceptInputType_min: unknown;
    static ngAcceptInputType_max: unknown;
    static ngAcceptInputType_tickmarks: unknown;
}
