import { StaticProvider } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare const SELECT_VALUE_ACCESSOR: StaticProvider;
export declare class SelectValueAccessor implements ControlValueAccessor {
    private _elementRef;
    private _renderer;
    selectChange(event: Event): void;
    blur(): void;
    onChange: (_: any) => void;
    onTouched: () => void;
    writeValue(value: any): void;
    registerOnChange(fn: (_: boolean) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    change(value: string | string[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectValueAccessor, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SelectValueAccessor, "forge-select[formControlName],forge-select[formControl],forge-select[ngModel]", never, {}, {}, never, never, false, never>;
}
