import { ElementRef, NgZone } from '@angular/core';
import { AppBarMenuButtonComponent as AppBarMenuButtonComponentCustomElement } from '@tylertech/forge';
import * as i0 from "@angular/core";
/**  */
export declare class AppBarMenuButtonComponent {
    protected elementRef: ElementRef<AppBarMenuButtonComponentCustomElement>;
    protected zone: NgZone;
    /** The forge-app-bar-menu-button element. */
    readonly nativeElement: AppBarMenuButtonComponentCustomElement;
    /** The name of an alternative icon to display. */
    set icon(value: AppBarMenuButtonComponentCustomElement['icon']);
    get icon(): AppBarMenuButtonComponentCustomElement['icon'];
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<AppBarMenuButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AppBarMenuButtonComponent, "forge-app-bar-menu-button", never, { "icon": { "alias": "icon"; "required": false; }; }, {}, never, ["*"], false, never>;
}
