import { ElementRef, NgZone } from '@angular/core';
import { AvatarComponent as AvatarComponentCustomElement } from '@tylertech/forge';
import * as i0 from "@angular/core";
/**  */
export declare class AvatarComponent {
    protected elementRef: ElementRef<AvatarComponentCustomElement>;
    protected zone: NgZone;
    /** The forge-avatar element. */
    readonly nativeElement: AvatarComponentCustomElement;
    /** The text to display in the avatar. */
    set text(value: AvatarComponentCustomElement['text']);
    get text(): AvatarComponentCustomElement['text'];
    /** Controls the number of letters to display from the text. By default the text is split on spaces and the first character of each word is used. */
    set letterCount(value: AvatarComponentCustomElement['letterCount']);
    get letterCount(): AvatarComponentCustomElement['letterCount'];
    /** The background image URL to use. */
    set imageUrl(value: AvatarComponentCustomElement['imageUrl']);
    get imageUrl(): AvatarComponentCustomElement['imageUrl'];
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<AvatarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AvatarComponent, "forge-avatar", never, { "text": { "alias": "text"; "required": false; }; "letterCount": { "alias": "letterCount"; "required": false; }; "imageUrl": { "alias": "imageUrl"; "required": false; }; }, {}, never, ["*"], false, never>;
    static ngAcceptInputType_letterCount: unknown;
}
