import { StaticProvider } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare const BUTTON_TOGGLE_GROUP_VALUE_ACCESSOR: StaticProvider;
export declare class ButtonToggleGroupValueAccessor implements ControlValueAccessor {
    private _elementRef;
    private _renderer;
    buttonToggleGroupChange(event: CustomEvent): void;
    blur(): void;
    onChange: (_: any) => void;
    onTouched: () => void;
    writeValue(value: any): void;
    registerOnChange(fn: (_: number | null) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    change(value: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ButtonToggleGroupValueAccessor, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ButtonToggleGroupValueAccessor, "forge-button-toggle-group[formControlName],forge-button-toggle-group[formControl],forge-button-toggle-group[ngModel]", never, {}, {}, never, never, false, never>;
}
