import { StaticProvider } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare const CHECKBOX_VALUE_ACCESSOR: StaticProvider;
export declare class CheckboxValueAccessor implements ControlValueAccessor {
    private _elementRef;
    private _renderer;
    switchChange(evt: CustomEvent<void>): void;
    blur(): void;
    onChange: (_: any) => void;
    onTouched: () => void;
    writeValue(value: boolean): void;
    registerOnChange(fn: (_: boolean) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(value: boolean): void;
    change(value: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CheckboxValueAccessor, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<CheckboxValueAccessor, "forge-checkbox[formControlName],forge-checkbox[formControl],forge-checkbox[ngModel]", never, {}, {}, never, never, false, never>;
}
