import { ElementRef, NgZone } from '@angular/core';
import { ModalDrawerComponent as ModalDrawerComponentCustomElement } from '@tylertech/forge';
import * as i0 from "@angular/core";
/**  */
export declare class ModalDrawerComponent {
    protected elementRef: ElementRef<ModalDrawerComponentCustomElement>;
    protected zone: NgZone;
    /** The forge-modal-drawer element. */
    readonly nativeElement: ModalDrawerComponentCustomElement;
    /** Toggles whether the drawer is visible or not. */
    set open(value: ModalDrawerComponentCustomElement['open']);
    get open(): ModalDrawerComponentCustomElement['open'];
    /** Controls the layout and animation direction of the drawer for positioning on the left vs. right side of the screen when toggling the `open` attribute. */
    set direction(value: ModalDrawerComponentCustomElement['direction']);
    get direction(): ModalDrawerComponentCustomElement['direction'];
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<ModalDrawerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ModalDrawerComponent, "forge-modal-drawer", never, { "open": { "alias": "open"; "required": false; }; "direction": { "alias": "direction"; "required": false; }; }, {}, never, ["*"], false, never>;
    static ngAcceptInputType_open: unknown;
}
